LP#1930933: fix issue with over-escaping in search results title attributes
[Evergreen.git] / Open-ILS / src / eg2 / src / polyfills.ts
1 /***************************************************************************************************
2  * Load `$localize` onto the global scope - used if i18n tags appear in Angular templates.
3  */
4 import '@angular/localize/init';
5 /**
6  * This file includes polyfills needed by Angular and is loaded before the app.
7  * You can add your own extra polyfills to this file.
8  *
9  * This file is divided into 2 sections:
10  *   1. Browser polyfills. These are applied before loading ZoneJS and are sorted by browsers.
11  *   2. Application imports. Files imported after ZoneJS that should be loaded before your main
12  *      file.
13  *
14  * The current setup is for so-called "evergreen" browsers; the last versions of browsers that
15  * automatically update themselves. This includes Safari >= 10, Chrome >= 55 (including Opera),
16  * Edge >= 13 on the desktop, and iOS 10 and Chrome on mobile.
17  *
18  * Learn more in https://angular.io/docs/ts/latest/guide/browser-support.html
19  */
20
21 /***************************************************************************************************
22  * BROWSER POLYFILLS
23  */
24
25 /** IE9, IE10 and IE11 requires all of the following polyfills. **/
26 // import 'core-js/es6/symbol';
27 // import 'core-js/es6/object';
28 // import 'core-js/es6/function';
29 // import 'core-js/es6/parse-int';
30 // import 'core-js/es6/parse-float';
31 // import 'core-js/es6/number';
32 // import 'core-js/es6/math';
33 // import 'core-js/es6/string';
34 // import 'core-js/es6/date';
35 // import 'core-js/es6/array';
36 // import 'core-js/es6/regexp';
37 // import 'core-js/es6/map';
38 // import 'core-js/es6/weak-map';
39 // import 'core-js/es6/set';
40
41 // PhantomJS needs these
42 // import 'core-js/es/array';
43 // import 'core-js/es/string';
44 // import 'core-js/es/symbol'; // needed by app/staff/booking/reservation-actions.spec.ts
45
46 /** IE10 and IE11 requires the following for NgClass support on SVG elements */
47 // import 'classlist.js';  // Run `npm install --save classlist.js`.
48
49 /** IE10 and IE11 requires the following for the Reflect API. */
50 // import 'core-js/es6/reflect';
51
52
53 /** Evergreen browsers require these. **/
54 // Used for reflect-metadata in JIT. If you use AOT (and only Angular decorators), you can remove.
55
56
57
58 /**
59  * Required to support Web Animations `@angular/platform-browser/animations`.
60  * Needed for: All but Chrome, Firefox and Opera. http://caniuse.com/#feat=web-animation
61  **/
62 // import 'web-animations-js';  // Run `npm install --save web-animations-js`.
63
64
65
66 /***************************************************************************************************
67  * Zone JS is required by Angular itself.
68  */
69 import 'zone.js/dist/zone';  // Included with Angular CLI.
70
71
72
73 /***************************************************************************************************
74  * APPLICATION IMPORTS
75  */
76
77 /**
78  * Date, currency, decimal and percent pipes.
79  * Needed for: All but Chrome, Firefox, Edge, IE11 and Safari 10
80  */
81 // import 'intl';  // Run `npm install --save intl`.
82 /**
83  * Need to import at least one locale-data with intl.
84  */
85 // import 'intl/locale-data/jsonp/en';